org.eclnt.jsfserver.util

## Class StackedValueExpression

- java.lang.Object
- - ValueExpression
  - - org.eclnt.jsfserver.util.StackedValueExpression

-     public class StackedValueExpression
      extends ValueExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StackedValueExpression(Application app, java.lang.String vbString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object arg0)`
    `java.lang.Class<?>` | `getExpectedType()`
    `java.lang.String` | `getExpressionString()`
    `boolean` | `getFlagSetMayFail()`
    `java.lang.String[]` | `getTokens()` The tokens of the expression.
    `java.lang.Class<?>` | `getType(ELContext elContext)`
    `java.lang.Object` | `getValue(ELContext elContext)`
    `java.lang.Object` | `getValue(ELContext elContext, boolean withError)`
    `int` | `hashCode()`
    `boolean` | `isLiteralText()`
    `boolean` | `isReadOnly(ELContext arg0)`
    `void` | `setFlagSetMayFail(boolean flagSetMayFail)`
    `void` | `setValue(ELContext elContext, java.lang.Object value)`
    `void` | `setValue(ELContext elContext, java.lang.Object valueToSet, boolean clearStack)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StackedValueExpression

          public StackedValueExpression(Application app,
                                        java.lang.String vbString)

  - ### Method Detail

    - #### getTokens

          public java.lang.String[] getTokens()

      The tokens of the expression. I.e. if expression is "#{d.xxx.yyy}" then an array 0:"d", 1:"xxx", 2:"yyy" is passed back.

    - #### getFlagSetMayFail

          public boolean getFlagSetMayFail()

    - #### setFlagSetMayFail

          public void setFlagSetMayFail(boolean flagSetMayFail)

    - #### equals

          public boolean equals(java.lang.Object arg0)

    - #### getType

          public java.lang.Class<?> getType(ELContext elContext)
                                     throws java.lang.NullPointerException,
                                            PropertyNotFoundException,
                                            ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### getExpectedType

          public java.lang.Class<?> getExpectedType()

    - #### getExpressionString

          public java.lang.String getExpressionString()

    - #### getValue

          public java.lang.Object getValue(ELContext elContext)
                                    throws java.lang.NullPointerException,
                                           PropertyNotFoundException,
                                           ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### getValue

          public java.lang.Object getValue(ELContext elContext,
                                           boolean withError)
                                    throws java.lang.NullPointerException,
                                           PropertyNotFoundException,
                                           ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### hashCode

          public int hashCode()

    - #### isLiteralText

          public boolean isLiteralText()

    - #### isReadOnly

          public boolean isReadOnly(ELContext arg0)
                             throws java.lang.NullPointerException,
                                    PropertyNotFoundException,
                                    ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `ELException`

    - #### setValue

          public void setValue(ELContext elContext,
                               java.lang.Object value)
                        throws java.lang.NullPointerException,
                               PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `PropertyNotWritableException`
        `ELException`

    - #### setValue

          public void setValue(ELContext elContext,
                               java.lang.Object valueToSet,
                               boolean clearStack)
                        throws java.lang.NullPointerException,
                               PropertyNotFoundException,
                               PropertyNotWritableException,
                               ELException

      Throws:
        `java.lang.NullPointerException`
        `PropertyNotFoundException`
        `PropertyNotWritableException`
        `ELException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.